Subject: Re: open file handles inherited?
From: [email-masked] (Christopher G. Faylor)

30 Jul 1998 16:32:11 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Peter Mularski <[email-masked]> wrote:
>Hello,
>
>I have a question. Are open file handles inherited by exec'ed processes? If
>not, how can I get this to happen? I know under VC++, you can set the
>_fileinfo global, but is there something akin to this in cygwin? Thanks in
>advance...

In cygwin32 opened file handles are inherited by exec processes unless
you have set the "close on exec" flag using fcntl.

-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada